tt_message_send_on_exit(library call)

NAME
tt_message_send_on_exit — set up a message to send upon unexpected exit

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_send_on_exit(
Tt_message m);

DESCRIPTION

The tt_message_send_on_exit function requests that the ToolTalk service send this message if the process exits unexpectedly. The message is sent to the ToolTalk service, which queues the message internally until either of two events occur:

1.  The procid that sent the tt_message_send_on_exit message to the ToolTalk service calls tt_close(3). In this case, the queued message is deleted.

2.  The connection between the ttsession(1) server and the process that sent the tt_message_send_on_exit message to the ToolTalk service is broken; for example, if the application has crashed.

In this case, the ToolTalk service matches the queued message to its patterns and delivers it in the same manner as if the process had sent the message normally before exiting.

If a process sends a normal termination message but exits without calling tt_close(3), both the normal termination message and the on_exit message are delivered.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_send_on_exit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_ADDRESS
    The specified Tt_address is invalid.

TT_ERR_CLASS
    The specified Tt_class is invalid.

TT_ERR_FILE
    The specified file does not exist or it is inaccessible.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_close(3).